Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
get.hpp File Reference

## Functions
template<typename T >
T && | ranges::get (meta::id_t< T > &&value) noexcept
template<typename T >
T & | ranges::get (meta::id_t< T > &value) noexcept
template<typename T >
T const & | ranges::get (meta::id_t< T > const &value) noexcept
template<std::size_t I, typename TupleLike >
constexpr auto | ranges::get (TupleLike &&t) noexcept(noexcept(detail::adl_get< I >(static_cast< TupleLike && >(t)))) -> decltype(detail::adl_get< I >(static_cast< TupleLike && >(t)))